Create Bulk Payments
curl --request POST \
--url https://api.royalti.io/payment/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payments": [
{
"firstName": "<string>",
"lastName": "<string>",
"user": "<string>",
"title": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"currency": "<string>",
"amount": 123,
"amountUSD": 123,
"conversionRate": 123,
"memo": "<string>"
}
]
}
'import requests
url = "https://api.royalti.io/payment/bulk"
payload = { "payments": [
{
"firstName": "<string>",
"lastName": "<string>",
"user": "<string>",
"title": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"currency": "<string>",
"amount": 123,
"amountUSD": 123,
"conversionRate": 123,
"memo": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payments: [
{
firstName: '<string>',
lastName: '<string>',
user: '<string>',
title: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
currency: '<string>',
amount: 123,
amountUSD: 123,
conversionRate: 123,
memo: '<string>'
}
]
})
};
fetch('https://api.royalti.io/payment/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bulk payment creation completed",
"createdPayments": [
"Payment One",
"Payment Two"
],
"errors": [
"Invalid currency for Payment Three"
]
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Payments
Create Bulk Payments
Create Bulk Payments
POST
/
payment
/
bulk
Create Bulk Payments
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Create Bulk Payments Description: The/payment/bulk endpoint allows creation of multiple payments simultaneously.
Method:
POST
Authorization:
- Required role:
adminor higher
| Parameter | Type | Description |
|---|---|---|
| payments | array | Array of payment objects |
Code Examples
const response = await fetch('https://api.royalti.io/payment/bulk', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"payments": [
{
"firstName": "sample-firstName",
"lastName": "sample-lastName",
"user": "sample-user",
"title": "sample-title",
"transactionDate": "2024-01-21T12:00:00Z",
"currency": "sample-currency",
"amount": 1,
"amountUSD": 1,
"conversionRate": 1,
"memo": "sample-memo"
}
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/payment/bulk',
headers={
'Authorization': f'Bearer {token}'
},
json={"payments":[{"firstName":"sample-firstName","lastName":"sample-lastName","user":"sample-user","title":"sample-title","transactionDate":"2024-01-21T12:00:00Z","currency":"sample-currency","amount":1,"amountUSD":1,"conversionRate":1,"memo":"sample-memo"}]}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/payment/bulk \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"payments":[{"firstName":"sample-firstName","lastName":"sample-lastName","user":"sample-user","title":"sample-title","transactionDate":"2024-01-21T12:00:00Z","currency":"sample-currency","amount":1,"amountUSD":1,"conversionRate":1,"memo":"sample-memo"}]}'
⌘I